
    <mat-form-field fxFlex="40%">
      <input
        matInput
        type="text"
        (keyup)="doFilter($event.target.value)"
        placeholder="Filter"
      />
    </mat-form-field>
  
    <button mat-raised-button color="primary" id='addCityButton' (click)="addCityDialog()">
      Add city
    </button>
  <table mat-table [dataSource]="dataSource" matSort class="mat-elevation-z8">
    <ng-container matColumnDef="cityId">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>cityId</th>
      <td mat-cell *matCellDef="let element">{{ element.cityId }}</td>
    </ng-container>

    <!-- Name Column -->
    <ng-container matColumnDef="cityName">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>cityName</th>
      <td mat-cell *matCellDef="let element">{{ element.cityName }}</td>
    </ng-container>

    <!-- Weight Column -->
    <ng-container matColumnDef="latitude">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>latitude</th>
      <td mat-cell *matCellDef="let element">{{ element.latitude }}</td>
    </ng-container>

    <!-- Symbol Column -->
    <ng-container matColumnDef="longitude">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>longitude</th>
      <td mat-cell *matCellDef="let element">{{ element.longitude }}</td>
    </ng-container>

    <ng-container matColumnDef="population">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>population</th>
      <td mat-cell *matCellDef="let element">{{ element.population }}</td>
    </ng-container>

    <ng-container matColumnDef="surfaceArea">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>surfaceArea</th>
      <td mat-cell *matCellDef="let element">{{ element.surfaceArea }}</td>
    </ng-container>

    <ng-container matColumnDef="edit">
      <th mat-header-cell *matHeaderCellDef>Edit</th>
      <td mat-cell *matCellDef="let element">
        <button
          mat-raised-button
          color="primary"
          (click)="onEdit(element.cityId, $event)"
        >
          Edit
        </button>
      </td>
    </ng-container>

    <ng-container matColumnDef="delete">
      <th mat-header-cell *matHeaderCellDef>Delete</th>
      <td mat-cell *matCellDef="let element">
        <button 
          mat-raised-button
          color="warn"
          (click)="onDelete(element.cityId,$event)"
        >
          Delete
        </button>
      </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns" (click)="changeWeatherForCity(row)"></tr>
  </table>
  <mat-paginator [pageSize]="5" [pageSizeOptions]="[5, 10, 20]" showFirstLastButtons></mat-paginator>
 

  